Bug 736987 - gnome-screensaver crashes
gnome-screensaver crashes
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-screensaver (Show other bugs)
16
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Colin Walters
Fedora Extras Quality Assurance
: Reopened
: 737002 737360 737395 737437 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-09 04:59 EDT by sangu
Modified: 2013-02-13 21:29 EST (History)
15 users (show)

See Also:
Fixed In Version: anjuta-3.1.91-1.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 21:29:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description sangu 2011-09-09 04:59:51 EDT
Description of problem:

$ dmesg | grep screen
[20809.585968] gnome-screensav[10921] general protection ip:7fb0ea06f160 sp:7fff19a73df0 error:0 in libgnome-desktop-3.so.2.0.1[7fb0ea052000+27000]
[28849.586317] gnome-screensav[6631] general protection ip:7f3040163160 sp:7fff70f30530 error:0 in libgnome-desktop-3.so.2.0.1[7f3040146000+27000]
[31789.585686] gnome-screensav[8761] general protection ip:7f5572934160 sp:7fffed832ea0 error:0 in libgnome-desktop-3.so.2.0.1[7f5572917000+27000]

$ gdb gnome-screensaver

Program received signal SIGSEGV, Segmentation fault.
0x00007ffff754a160 in update_clock (data=0x76cb00) at gnome-wall-clock.c:167
167		clock_format = g_settings_get_enum (self->priv->desktop_settings, "clock-format");
(gdb) bt
#0  0x00007ffff754a160 in update_clock (data=0x76cb00)
    at gnome-wall-clock.c:167
#1  0x00007ffff754b092 in g_datetime_source_dispatch (source=<optimized out>, 
    callback=<optimized out>, user_data=<optimized out>)
    at gnome-datetime-source.c:142
#2  0x00007ffff4942a9d in g_main_context_dispatch ()
   from /lib64/libglib-2.0.so.0
#3  0x00007ffff4943298 in ?? () from /lib64/libglib-2.0.so.0
#4  0x00007ffff49437e5 in g_main_loop_run () from /lib64/libglib-2.0.so.0
#5  0x00007ffff700c6ed in gtk_main () from /usr/lib64/libgtk-3.so.0
#6  0x000000000040934a in main (argc=1, argv=0x7fffffffe198)
    at gnome-screensaver.c:105


Version-Release number of selected component (if applicable):
3.1.91-1.fc16.x86_64

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
gnome-desktop3-3.1.91-1.fc16.x86_64
glib2-2.29.90-1.fc16.x86_64
Comment 1 Zdenek Kabelac 2011-09-09 08:48:13 EDT
Seeing the same issue - looking into pointers:

167 clock_format = g_settings_get_enum (self->priv->desktop_settings, "clock-format");

(gdb) print self->priv
$2 = (GnomeWallClockPrivate *) 0xaaaaaaaaaaaaaaaa


Thus surely non-deferencable content
Comment 2 Zdenek Kabelac 2011-09-09 08:48:41 EDT
*** Bug 737002 has been marked as a duplicate of this bug. ***
Comment 3 satellit 2011-09-09 10:02:02 EDT
Package: gnome-screensaver-3.1.91-1.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)

Comment
-----
boot new install for first time after firstboot
log in to screensaver lock after timeout
Comment 4 Václav Jansa 2011-09-10 13:45:50 EDT
Package: gnome-screensaver-3.1.91-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
After waiting to timeout.
Comment 5 Václav Jansa 2011-09-11 04:26:01 EDT
Package: gnome-screensaver-3.1.91-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Blank screen. After unlock with pasword go to crash.
Comment 6 D.S. Ljungmark 2011-09-11 07:58:35 EDT
Package: gnome-screensaver-3.1.91-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Came back to my computer, woke it up, and it appears gnome-screensaver crashed while I was away.
Comment 7 Dong Chen 2011-09-11 09:05:14 EDT
Package: gnome-screensaver-3.1.91-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
waking up computer after sleeping, then this error happen
Comment 8 Matthias Clasen 2011-09-12 09:05:48 EDT
Probably https://bugzilla.gnome.org/show_bug.cgi?id=658583
Comment 9 Matthias Clasen 2011-09-12 09:30:13 EDT
*** Bug 737437 has been marked as a duplicate of this bug. ***
Comment 10 Matthias Clasen 2011-09-12 09:32:47 EDT
*** Bug 737360 has been marked as a duplicate of this bug. ***
Comment 11 Matthias Clasen 2011-09-12 09:32:54 EDT
*** Bug 737395 has been marked as a duplicate of this bug. ***
Comment 12 Fedora Update System 2011-09-12 09:36:30 EDT
anjuta-3.1.91-1.fc16, at-spi2-atk-2.1.91-1.fc16, at-spi2-core-2.1.91-1.fc16, atk-2.1.91-1.fc16, caribou-0.3.91-1.fc16, cheese-3.1.91.1-1.fc16, clutter-1.7.14-2.fc16, control-center-3.1.91-1.fc16, empathy-3.1.91-2.fc16, eog-3.1.91-1.fc16, epiphany-3.1.91.1-1.fc16, evolution-3.1.91-2.fc16, file-roller-3.1.91-1.fc16, gedit-cossa-3.1.2-1.fc16, glib2-2.29.90-1.fc16, glibmm24-2.29.13-1.fc16, gnome-applets-3.1.91-1.fc16, gnome-backgrounds-3.1.91-1.fc16, gnome-documents-0.1.91-1.fc16, gnome-games-3.1.91-1.fc16, gnome-games-extra-data-3.2.0-1.fc16, gnome-keyring-3.1.91-1.fc16, gnome-screensaver-3.1.91-1.fc16, gnome-settings-daemon-3.1.91-1.fc16, gnome-shell-3.1.91-2.fc16, gnome-themes-standard-3.1.91-1.fc16, gtk3-3.1.18-1.fc16, gtkhtml3-4.1.91-1.fc16, gtkmm30-3.1.18-1.fc16, gvfs-1.9.5-1.fc16, krb5-auth-dialog-3.1.91-1.fc16, libcryptui-3.1.91-1.fc16, libxml++-2.34.2-1.fc16, mousetweaks-3.1.91-1.fc16, nautilus-sendto-3.0.0-13.fc16, notification-daemon-0.7.2-1.fc16, orca-3.1.91-1.fc16, seahorse-3.1.91-1.fc16, vala-0.13.4-1.fc16, vinagre-3.1.91-1.fc16, vino-3.1.91-1.fc16, yelp-3.1.3-1.fc16, yelp-tools-3.1.6-1.fc16, yelp-xsl-3.1.5-1.fc16, evolution-mapi-3.1.91-1.fc16, evolution-exchange-3.1.91-1.fc16, gnome-contacts-0.1.4.1-1.fc16, gsettings-desktop-schemas-3.1.91-1.fc16, PackageKit-0.6.18-2.fc16, evolution-data-server-3.1.91-2.fc16, folks-0.6.2.1-1.fc16, gnome-panel-3.1.91-3.fc16, gnome-session-3.1.91-3.fc16, ekiga-3.3.2-3.fc16, gnome-desktop3-3.1.91-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/FEDORA-2011-12324
Comment 13 Peque 2011-09-12 13:26:43 EDT
Package: gnome-screensaver-3.1.91-1.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)

Comment
-----
I left my computer for a while. I came back, and I was asked for my password to unlock the screen. The crash occured some seconds after I did that.
Comment 14 Scotty Delicious 2011-09-12 16:20:41 EDT
Package: gnome-screensaver-3.1.91-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
I was resuming from suspend.
Comment 15 Marek Michał Mazur 2011-09-12 17:26:32 EDT
Package: gnome-screensaver-3.1.91-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
touching mouse
Comment 16 Scotty Delicious 2011-09-12 21:50:59 EDT
Package: gnome-screensaver-3.1.91-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
This happened after unlocking from the lock screen. One thing that I have noticed is that when my lock screen is activated, I can see the top panel bar with Activites, date, icons, etc, but the background doesn't show up and I cannot see the UI for the unlock form. I can swipe my finger across the fingerprint reader to unlock and it works fine. Also, I can open the laptop lid, get the blank screen I described in the last sentence, then close the lid and open it again and everything shows up on the screen as expected.
Comment 17 Fedora Update System 2011-09-13 02:13:01 EDT
anjuta-3.1.91-1.fc16, at-spi2-atk-2.1.91-1.fc16, at-spi2-core-2.1.91-1.fc16, atk-2.1.91-1.fc16, caribou-0.3.91-1.fc16, cheese-3.1.91.1-1.fc16, clutter-1.7.14-2.fc16, control-center-3.1.91-1.fc16, empathy-3.1.91-2.fc16, eog-3.1.91-1.fc16, epiphany-3.1.91.1-1.fc16, evolution-3.1.91-2.fc16, file-roller-3.1.91-1.fc16, gedit-cossa-3.1.2-1.fc16, glib2-2.29.90-1.fc16, glibmm24-2.29.13-1.fc16, gnome-applets-3.1.91-1.fc16, gnome-backgrounds-3.1.91-1.fc16, gnome-documents-0.1.91-1.fc16, gnome-games-3.1.91-1.fc16, gnome-games-extra-data-3.2.0-1.fc16, gnome-keyring-3.1.91-1.fc16, gnome-screensaver-3.1.91-1.fc16, gnome-settings-daemon-3.1.91-1.fc16, gnome-shell-3.1.91-2.fc16, gnome-themes-standard-3.1.91-1.fc16, gtk3-3.1.18-1.fc16, gtkhtml3-4.1.91-1.fc16, gtkmm30-3.1.18-1.fc16, gvfs-1.9.5-1.fc16, krb5-auth-dialog-3.1.91-1.fc16, libcryptui-3.1.91-1.fc16, libxml++-2.34.2-1.fc16, mousetweaks-3.1.91-1.fc16, nautilus-sendto-3.0.0-13.fc16, notification-daemon-0.7.2-1.fc16, orca-3.1.91-1.fc16, seahorse-3.1.91-1.fc16, vala-0.13.4-1.fc16, vinagre-3.1.91-1.fc16, vino-3.1.91-1.fc16, yelp-3.1.3-1.fc16, yelp-tools-3.1.6-1.fc16, yelp-xsl-3.1.5-1.fc16, evolution-mapi-3.1.91-1.fc16, evolution-exchange-3.1.91-1.fc16, gnome-contacts-0.1.4.1-1.fc16, gsettings-desktop-schemas-3.1.91-1.fc16, PackageKit-0.6.18-2.fc16, evolution-data-server-3.1.91-2.fc16, folks-0.6.2.1-1.fc16, gnome-panel-3.1.91-3.fc16, gnome-session-3.1.91-3.fc16, ekiga-3.3.2-3.fc16, gnome-desktop3-3.1.91-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Mads Kiilerich 2011-09-15 10:05:10 EDT
Several of the reports mentions gnome-screensaver-3.1.91-1.fc16, so it has _not_ been fixed by FEDORA-2011-12324.

I just got bug 737395 (marked as duplicate of this) on f16+testing, but abrt wouldn't report it because it was CLOSED ERRATA.
Comment 19 Bill C. Riemers 2011-12-01 22:33:23 EST
This still happens to me.  I finally ended up uninstalling the screen saver today.
Comment 20 Fedora End Of Life 2013-01-16 19:46:26 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 21 Fedora End Of Life 2013-02-13 21:29:27 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.